#exclude plugin .so from provides
%global __provides_exclude_from %{_libdir}/xfce4/panel/plugins/.*\\.so

Summary: 	A time-out plugin for the Xfce panel
Name: 		xfce4-time-out-plugin
Version: 	1.2.0
Release: 	%mkrel 1
License:	GPLv2+
Group: 		Graphical desktop/Xfce
URL:		https://docs.xfce.org/panel-plugins/xfce4-time-out-plugin
Source0: 	https://archive.xfce.org/src/panel-plugins/xfce4-time-out-plugin/%{url_ver}/%{name}-%{version}.tar.xz
BuildRequires:	meson
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(libxfce4ui-2)
BuildRequires:	pkgconfig(libxfce4panel-2.0)
Requires:	xfce4-panel >= 4.12.0

%description
A time-out plugin for the Xfce panel.

%prep
%autosetup -p1

%build
%meson
%meson_build

%install
%meson_install

%find_lang %{name}

%files -f %{name}.lang
%license COPYING
%doc AUTHORS NEWS README*
%{_libdir}/xfce4/panel/plugins/libtime-out.so
%{_datadir}/xfce4/panel/plugins/xfce4-time-out-plugin.desktop
%{_iconsdir}/hicolor/*/apps/*


%changelog
* Tue Jul 15 2025 wally <wally> 1.2.0-1.mga10
+ Revision: 2255813
- new version 1.2.0

* Sun Apr 27 2025 wally <wally> 1.1.4-2.mga10
+ Revision: 2179476
- add upstream patches to fix build with new xfce libs

* Wed Dec 25 2024 wally <wally> 1.1.4-1.mga10
+ Revision: 2130088
- new version 1.1.4

* Sun Apr 23 2023 wally <wally> 1.1.3-1.mga9
+ Revision: 1954397
- new version 1.1.3

* Mon Apr 04 2022 umeabot <umeabot> 1.1.2-2.mga9
+ Revision: 1843525
- Mageia 9 Mass Rebuild

* Sun Mar 07 2021 wally <wally> 1.1.2-1.mga9
+ Revision: 1700397
- new version 1.1.2

* Tue Jul 07 2020 wally <wally> 1.1.1-1.mga8
+ Revision: 1602824
- new version 1.1.1

* Mon Feb 17 2020 umeabot <umeabot> 1.1.0-2.mga8
+ Revision: 1537533
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Mon Nov 04 2019 wally <wally> 1.1.0-1.mga8
+ Revision: 1457704
- new version 1.1.0
- switch to gtk3

* Tue Aug 13 2019 wally <wally> 1.0.3-1.mga8
+ Revision: 1429164
- new version 1.0.3

* Sun Sep 23 2018 umeabot <umeabot> 1.0.2-4.mga7
+ Revision: 1301887
- Mageia 7 Mass Rebuild

* Wed Feb 17 2016 umeabot <umeabot> 1.0.2-3.mga6
+ Revision: 963584
- Mageia 6 Mass Rebuild

* Sun Sep 20 2015 wally <wally> 1.0.2-2.mga6
+ Revision: 881820
- fix debug symbols build

* Sun Jun 21 2015 wally <wally> 1.0.2-1.mga6
+ Revision: 837967
- new version 1.0.2

* Tue Mar 03 2015 wally <wally> 1.0.1-6.mga5
+ Revision: 817457
- rebuild for new libxfce4util

* Wed Oct 15 2014 umeabot <umeabot> 1.0.1-5.mga5
+ Revision: 745974
- Second Mageia 5 Mass Rebuild

* Sat Sep 20 2014 wally <wally> 1.0.1-4.mga5
+ Revision: 697580
- exclude plugin .so from provides
+ umeabot <umeabot>
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.0.1-3.mga4
+ Revision: 520696
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 1.0.1-2.mga3
+ Revision: 386871
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon May 28 2012 wally <wally> 1.0.1-1.mga3
+ Revision: 248594
- new version 1.0.1
- clean .spec

* Tue Jan 03 2012 wally <wally> 1.0.0-3.mga2
+ Revision: 190069
- rebuild for new xfce4-panel

* Sat Feb 19 2011 ahmad <ahmad> 1.0.0-2.mga1
+ Revision: 54192
- imported package xfce4-time-out-plugin


* Wed Jan 26 2011 Tomasz Pawel Gajc <tpg@mandriva.org> 1.0.0-1mdv2011.0
+ Revision: 632785
- update to new version 1.0.0
- update url for Source0
- drop old scriplets

* Wed Dec 08 2010 Oden Eriksson <oeriksson@mandriva.com> 0.1.1-10mdv2011.0
+ Revision: 615631
- the mass rebuild of 2010.1 packages

* Fri May 07 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 0.1.1-9mdv2010.1
+ Revision: 543440
- rebuild for mdv 2010.1

* Mon Sep 21 2009 Thierry Vignaud <tv@mandriva.org> 0.1.1-8mdv2010.0
+ Revision: 446138
- rebuild

* Fri Mar 06 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0.1.1-7mdv2009.1
+ Revision: 349481
- rebuild for xfce-4.6.0

* Sat Oct 18 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.1.1-6mdv2009.1
+ Revision: 295030
- rebuild for new Xfce4.6 beta1

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild

* Thu Jul 31 2008 Thierry Vignaud <tv@mandriva.org> 0.1.1-4mdv2009.0
+ Revision: 256982
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Mon Nov 19 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.1.1-2mdv2008.1
+ Revision: 110140
- correct buildrequires
- new license policy
- use upstream tarball name as a real name
- do not package COPYING file
- use upstream name

* Wed Jul 11 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.1.1-1mdv2008.0
+ Revision: 51340
- new version

* Fri May 25 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.1.0-1mdv2008.0
+ Revision: 31060
- Import xfce-time-out-plugin

